package entrustPool

import (
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
	"github.com/gin-gonic/gin"
)

type PoolAddrFeeHistoryRouter struct {
}

// InitPoolAddrFeeHistoryRouter 初始化 PoolAddrFeeHistory 路由信息
func (s *PoolAddrFeeHistoryRouter) InitPoolAddrFeeHistoryRouter(Router *gin.RouterGroup) {
	poolAddrFeeHistoryRouter := Router.Group("poolAddrFeeHistory").Use(middleware.OperationRecord())
	poolAddrFeeHistoryRouterWithoutRecord := Router.Group("poolAddrFeeHistory")
	var poolAddrFeeHistoryApi = v1.ApiGroupApp.EntrustPoolApiGroup.PoolAddrFeeHistoryApi
	{
		poolAddrFeeHistoryRouter.POST("createPoolAddrFeeHistory", poolAddrFeeHistoryApi.CreatePoolAddrFeeHistory)   // 新建PoolAddrFeeHistory
		poolAddrFeeHistoryRouter.DELETE("deletePoolAddrFeeHistory", poolAddrFeeHistoryApi.DeletePoolAddrFeeHistory) // 删除PoolAddrFeeHistory
		poolAddrFeeHistoryRouter.DELETE("deletePoolAddrFeeHistoryByIds", poolAddrFeeHistoryApi.DeletePoolAddrFeeHistoryByIds) // 批量删除PoolAddrFeeHistory
		poolAddrFeeHistoryRouter.PUT("updatePoolAddrFeeHistory", poolAddrFeeHistoryApi.UpdatePoolAddrFeeHistory)    // 更新PoolAddrFeeHistory
	}
	{
		poolAddrFeeHistoryRouterWithoutRecord.GET("findPoolAddrFeeHistory", poolAddrFeeHistoryApi.FindPoolAddrFeeHistory)        // 根据ID获取PoolAddrFeeHistory
		poolAddrFeeHistoryRouterWithoutRecord.GET("getPoolAddrFeeHistoryList", poolAddrFeeHistoryApi.GetPoolAddrFeeHistoryList)  // 获取PoolAddrFeeHistory列表
	}
}
